﻿/* notification */
#notificatoinBubble {
    cursor: pointer;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: center;
    top: -100px;
    z-index: 9999;
    transition: all ease-in-out 0.5s;
}

#bubbleTitle {
    font-weight: 600;
    font-size: 16px;
    margin-right: 10px;
}

#bubbleBody {
    width: auto;
    min-width: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #4e25ff;
    border: black 1px solid;
    padding: 10px;
    color: white;
    font-size: 14px;
    font-weight: 400;
    border-radius: 4px;
}

    #bubbleBody.info {
        background-color: #cff4fc;
        color: #075162;
        border-color: #c3f2fc;
    }

    #bubbleBody.success {
        background-color: #d1e7dd;
        color: #367158;
        border-color: #c2dfd2;
    }

    #bubbleBody.warning {
        background-color: #fff3cd;
        color: #694d03;
        border-color: #fff2cd;
    }

    #bubbleBody.error {
        background-color: #f8d7da;
        color: #84202a;
        border-color: #f6c7cb;
    }
/* spinner */
#loading_spinner {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: visible;
    opacity: 1;
    transition: ease-out 0.5s;
}

#loading_spinner.hide {
    visibility: hidden;
    opacity: 0;
}

.lds-default {
    display: inline-block;
    position: relative;
    width: 160px;
    height: 160px;
}

    .lds-default div {
        position: absolute;
        width: 12px;
        height: 12px;
        background: #fff;
        border-radius: 50%;
        animation: lds-default 1.2s linear infinite;
    }

        .lds-default div:nth-child(1) {
            animation-delay: 0s;
            top: 74px;
            left: 132px;
        }

        .lds-default div:nth-child(2) {
            animation-delay: -0.1s;
            top: 44px;
            left: 124px;
        }

        .lds-default div:nth-child(3) {
            animation-delay: -0.2s;
            top: 22px;
            left: 104px;
        }

        .lds-default div:nth-child(4) {
            animation-delay: -0.3s;
            top: 14px;
            left: 74px;
        }

        .lds-default div:nth-child(5) {
            animation-delay: -0.4s;
            top: 22px;
            left: 44px;
        }

        .lds-default div:nth-child(6) {
            animation-delay: -0.5s;
            top: 44px;
            left: 22px;
        }

        .lds-default div:nth-child(7) {
            animation-delay: -0.6s;
            top: 74px;
            left: 14px;
        }

        .lds-default div:nth-child(8) {
            animation-delay: -0.7s;
            top: 104px;
            left: 22px;
        }

        .lds-default div:nth-child(9) {
            animation-delay: -0.8s;
            top: 124px;
            left: 44px;
        }

        .lds-default div:nth-child(10) {
            animation-delay: -0.9s;
            top: 132px;
            left: 74px;
        }

        .lds-default div:nth-child(11) {
            animation-delay: -1s;
            top: 124px;
            left: 104px;
        }

        .lds-default div:nth-child(12) {
            animation-delay: -1.1s;
            top: 104px;
            left: 124px;
        }

@keyframes lds-default {
    0%, 20%, 80%, 100% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.5);
    }
}
/* end spinner */